Raised This Month: $ Target: $400
 0% 

Solved Help compiling.


Post New Thread Reply   
 
Thread Tools Display Modes
Author Message
krudge137
Junior Member
Join Date: Jun 2022
Old 06-23-2022 , 08:06   Help compiling.
Reply With Quote #1

I'm trying to compile this plugin, and it shows this error even tho I have the necessary files, it's so weird cuz the only plugin I wanted to try has this error, can someone help me with this? or if you can compile it to .amxx and send it to me I will appreciate it, thanks in advance.

Last edited by krudge137; 06-27-2022 at 21:29.
krudge137 is offline
OciXCrom
Veteran Member
Join Date: Oct 2013
Location: Macedonia
Old 06-23-2022 , 14:21   Re: Help compiling.
Reply With Quote #2

The compiler you're using and the .inc files are in 2 completely different places.
__________________
OciXCrom is offline
Send a message via Skype™ to OciXCrom
krudge137
Junior Member
Join Date: Jun 2022
Old 06-23-2022 , 19:17   Re: Help compiling.
Reply With Quote #3

Quote:
Originally Posted by OciXCrom View Post
The compiler you're using and the .inc files are in 2 completely different places.
Oh correct! Now it's reading the .inc file, but it's showing me these errors error1 error2, I don't know if it's a problem on the code (which I don't think, I'm probably doing something wrong) or if it's something else, and thanks for your help!
krudge137 is offline
fysiks
Veteran Member
Join Date: Sep 2007
Location: Flatland, USA
Old 06-23-2022 , 20:07   Re: Help compiling.
Reply With Quote #4

You can simply copy and paste the compiler output into [code][/code] tags instead of creating images. It's quicker and simpler for others, IMO.

It looks like you're still having include file issues. Many of the undefined symbols you have shown in the output are defined in standard AMX Mod X includes. The others are part of the include files that come with the plugin.
__________________
fysiks is offline
fysiks
Veteran Member
Join Date: Sep 2007
Location: Flatland, USA
Old 06-23-2022 , 23:11   Re: Help compiling.
Reply With Quote #5

Quote:
Originally Posted by krudge137
[...] image, if you can just compile it for me I honestly would appreciate it a lot [...]
It looks like it's looking for the json.inc file that comes with AMX Mod X 1.9.0+. So, I can only guess that you're probably using an old version of AMX Mod X. According to the GitHub page, you need to be using at least 1.9.0.

So, if you've got the reapi dependency already (which I think you probably do because that comes before json) you should be able to compile once you update your AMX Mod X.

I cannot compile it currently, for some reason my PC (Linux) is having trouble, also, I don't have any of those other dependencies. You'll get it eventually.
__________________
fysiks is offline
krudge137
Junior Member
Join Date: Jun 2022
Old 06-27-2022 , 21:23   Re: Help compiling.
Reply With Quote #6

Hey fysiks, sorry for the late response, and YES you were right about the version I didn't know each version had it's own compiler (what a newbie :c), Now I have no problems compiling any plugin. Thanks guys!
krudge137 is offline
Reply


Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump


All times are GMT -4. The time now is 07:00.


Powered by vBulletin®
Copyright ©2000 - 2022, vBulletin Solutions, Inc.
Theme made by Freecode